#
# Cookbook Name:: zabbix
# Recipe:: default
#
# Copyright 2011, Efactures
#
# Apache 2.0
#

# Create zabbix User
user "zabbix" do
  comment "zabbix User"
  home "/opt/zabbix"
  shell "/bin/bash"
end

# Define zabbix Agent folder
zabbix_dirs = [
  "/etc/zabbix",
  "/etc/zabbix/include",
  "/var/log/zabbix",
  "/opt/zabbix",
  "/opt/zabbix/bin",
  "/opt/zabbix/sbin",
  "/var/run/zabbix"
]

# Create zabbix folder
zabbix_dirs.each do |dir|
  directory dir do
    owner "zabbix"
    group "zabbix"
    mode "750"
  end
end


if node[:zabbix][:agent][:install] = true
  include_recipe "zabbix::agent"
end  

if node[:zabbix][:server][:install] = true
  include_recipe "zabbix::server"
end  
  
if node[:zabbix][:server][:install] = true || node[:mysql][:server_root_password] != nil
  include_recipe "zabbix::mysql_setup"
end

if node[:zabbix][:web][:install] = true
  include_recipe "zabbix::web"
end

