#
# Cookbook Name:: zabbix
# Recipe:: mysql_setup
#
# Copyright 2011, Efactures
#
# Apache 2.0
#

::Chef::Recipe.send(:include, Opscode::OpenSSL::Password)

include_recipe "mysql::client"
include_recipe "database"

# generate the password
node.set_unless[:zabbix][:server][:dbpassword] = secure_password

mysql_connection_info = {:host => "localhost", :username => 'root', :password => node['mysql']['server_root_password']}

# create zabbix database
mysql_database 'zabbix' do
  connection mysql_connection_info
  action :create
  #notifies :query, "mysql_database[zabbix_populate]"
end

# create zabbix user
mysql_database_user 'zabbix' do
  connection mysql_connection_info
  password node[:zabbix][:server][:dbpassword]
  action :create
end

# Grant zabbix
mysql_database_user 'zabbix' do
  connection mysql_connection_info
  password node[:zabbix][:server][:dbpassword]
  database_name 'zabbix'
  host 'localhost'
  privileges [:select,:update,:insert]
  action :grant
  notifies :create, "template[/etc/zabbix/zabbix_server.conf]"
end