#
# Cookbook Name:: zabbix
# Recipe:: mysql_setup
#
# Copyright 2011, Efactures
#
# Apache 2.0
#

# Execute apache2 receipe + mod_php5 receipe

include_recipe "apache2"
include_recipe "apache2::mod_php5"

package "php5-mysql" do
  action :install
  notifies :restart, "service[apache2]"
end

# Give access to www-data to zabbix frontend config folder

directory "/opt/zabbix-#{node.zabbix.server.version}/frontends/php/config" do
  owner "www-data"
  group "www-data"
  mode "0755"
  recursive true
  action :create
end

#insall vhost for zabbix frontend
web_app "#{node.zabbix.web.fqdn}" do
  server_name node.zabbix.web.fqdn
  server_aliases "zabbix"
  docroot "/opt/zabbix-#{node.zabbix.server.version}/frontends/php"  
end  